// import request from "@/api/request";
import http from "@/api/http";

export default {
  // 兑换记录- 确认取货
  async finishOrder(data) {
    return http ({
      url: '/order/finishOrder',
      method: 'POST',
      data
    })
  },

  // 兑换记录- 查看订单详情
  async queryOrderById(data) {
    return http({
      url: '/order/queryOrderById',
      method: 'GET',
      data
    })
  },

  // 兑换记录- 查看订单列表
  async queryOrderList(data) {
    return http({
      url: '/order/queryOrderList',
      method: 'GET',
      data,
      // showLoading: true
    })
  },

  // 我的资料- 获取个人信息
  async queryUser() {
    return http({
      url: '/userInfo/queryUser',
      method: 'GET'
    })
  },

  // 我的资料- 修改个人信息
  async updateUser(data) {
    return http({
      url: '/userInfo/updateUser',
      method: 'POST',
      data
    })
  },
}